import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional()
}).strict();
export const ShoppingVendorAvgOrderByAggregateInputObjectSchema: z.ZodType<Prisma.ShoppingVendorAvgOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorAvgOrderByAggregateInput>;
export const ShoppingVendorAvgOrderByAggregateInputObjectZodSchema = makeSchema();
